<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.4"/>
<title>Framework: framework::core::DataPlot Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.4 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1core_1_1_data_plot.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(10)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="classframework_1_1core_1_1_data_plot-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::core::DataPlot Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Abstract class to display plots on ground station.  
 <a href="classframework_1_1core_1_1_data_plot.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_data_plot_8h_source.html">DataPlot.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for framework::core::DataPlot:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classframework_1_1core_1_1_data_plot.png" usemap="#framework::core::DataPlot_map" alt=""/>
  <map id="framework::core::DataPlot_map" name="framework::core::DataPlot_map">
<area href="classframework_1_1core_1_1_send_data.html" title="Abstract class for sending datas to ground station. " alt="framework::core::SendData" shape="rect" coords="0,56,172,80"/>
<area href="classframework_1_1core_1_1_widget.html" title="Abstract class for all Framework&#39;s widget classes. " alt="framework::core::Widget" shape="rect" coords="182,56,354,80"/>
<area href="classframework_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="framework::core::Object" shape="rect" coords="182,0,354,24"/>
<area href="classframework_1_1core_1_1_data_plot1_d.html" title="Class displaying a 1D plot on the ground station. " alt="framework::core::DataPlot1D" shape="rect" coords="0,168,172,192"/>
<area href="classframework_1_1core_1_1_data_plot2_d.html" title="Class displaying a 2D plot on the ground station. " alt="framework::core::DataPlot2D" shape="rect" coords="182,168,354,192"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a162d6799d9cb8b04fa78dc191270c1b7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_data_plot.html#a162d6799d9cb8b04fa78dc191270c1b7">DataPlot</a> (<a class="el" href="classframework_1_1core_1_1_layout_item.html">LayoutItem</a> *parent, std::string name, std::string type)</td></tr>
<tr class="memdesc:a162d6799d9cb8b04fa78dc191270c1b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a162d6799d9cb8b04fa78dc191270c1b7">More...</a><br/></td></tr>
<tr class="separator:a162d6799d9cb8b04fa78dc191270c1b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26d8945fee6927c4d1fbc62ad1a029b9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_data_plot.html#a26d8945fee6927c4d1fbc62ad1a029b9">~DataPlot</a> ()</td></tr>
<tr class="memdesc:a26d8945fee6927c4d1fbc62ad1a029b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a26d8945fee6927c4d1fbc62ad1a029b9">More...</a><br/></td></tr>
<tr class="separator:a26d8945fee6927c4d1fbc62ad1a029b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_send_data"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_send_data')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_send_data.html">framework::core::SendData</a></td></tr>
<tr class="memitem:ac850a4cfcbe761023d0dd9f4f68b2e88 inherit pub_methods_classframework_1_1core_1_1_send_data"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_send_data.html#ac850a4cfcbe761023d0dd9f4f68b2e88">SendData</a> ()</td></tr>
<tr class="memdesc:ac850a4cfcbe761023d0dd9f4f68b2e88 inherit pub_methods_classframework_1_1core_1_1_send_data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ac850a4cfcbe761023d0dd9f4f68b2e88">More...</a><br/></td></tr>
<tr class="separator:ac850a4cfcbe761023d0dd9f4f68b2e88 inherit pub_methods_classframework_1_1core_1_1_send_data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cc9949b1ac1d0c36569a8bc9b67127f inherit pub_methods_classframework_1_1core_1_1_send_data"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_send_data.html#a4cc9949b1ac1d0c36569a8bc9b67127f">~SendData</a> ()</td></tr>
<tr class="memdesc:a4cc9949b1ac1d0c36569a8bc9b67127f inherit pub_methods_classframework_1_1core_1_1_send_data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a4cc9949b1ac1d0c36569a8bc9b67127f">More...</a><br/></td></tr>
<tr class="separator:a4cc9949b1ac1d0c36569a8bc9b67127f inherit pub_methods_classframework_1_1core_1_1_send_data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a191a64ed3b4729803139309217dc2b72 inherit pub_methods_classframework_1_1core_1_1_send_data"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a191a64ed3b4729803139309217dc2b72"></a>
size_t&#160;</td><td class="memItemRight" valign="bottom"><b>SendSize</b> (void)</td></tr>
<tr class="separator:a191a64ed3b4729803139309217dc2b72 inherit pub_methods_classframework_1_1core_1_1_send_data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42a9877870a32c317469367652cd7c69 inherit pub_methods_classframework_1_1core_1_1_send_data"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a42a9877870a32c317469367652cd7c69"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>SendPeriod</b> (void)</td></tr>
<tr class="separator:a42a9877870a32c317469367652cd7c69 inherit pub_methods_classframework_1_1core_1_1_send_data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeda326390ccd71ed0130e58cfb423ddf inherit pub_methods_classframework_1_1core_1_1_send_data"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeda326390ccd71ed0130e58cfb423ddf"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>IsEnabled</b> (void)</td></tr>
<tr class="separator:aeda326390ccd71ed0130e58cfb423ddf inherit pub_methods_classframework_1_1core_1_1_send_data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_widget"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_widget')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_widget.html">framework::core::Widget</a></td></tr>
<tr class="memitem:aa30cb75a7f8a124b3af428f82a39b4f5 inherit pub_methods_classframework_1_1core_1_1_widget"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_widget.html#aa30cb75a7f8a124b3af428f82a39b4f5">Widget</a> (<a class="el" href="classframework_1_1core_1_1_widget.html">Widget</a> *parent, std::string name, std::string type)</td></tr>
<tr class="memdesc:aa30cb75a7f8a124b3af428f82a39b4f5 inherit pub_methods_classframework_1_1core_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aa30cb75a7f8a124b3af428f82a39b4f5">More...</a><br/></td></tr>
<tr class="separator:aa30cb75a7f8a124b3af428f82a39b4f5 inherit pub_methods_classframework_1_1core_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae79ffe891a89051f49c06712504c803 inherit pub_methods_classframework_1_1core_1_1_widget"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_widget.html#aae79ffe891a89051f49c06712504c803">~Widget</a> ()</td></tr>
<tr class="memdesc:aae79ffe891a89051f49c06712504c803 inherit pub_methods_classframework_1_1core_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aae79ffe891a89051f49c06712504c803">More...</a><br/></td></tr>
<tr class="separator:aae79ffe891a89051f49c06712504c803 inherit pub_methods_classframework_1_1core_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada1caf49bfb4d7c7deed40c2fd0ee30b inherit pub_methods_classframework_1_1core_1_1_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_widget.html#ada1caf49bfb4d7c7deed40c2fd0ee30b">setEnabled</a> (bool status)</td></tr>
<tr class="memdesc:ada1caf49bfb4d7c7deed40c2fd0ee30b inherit pub_methods_classframework_1_1core_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set enabled.  <a href="#ada1caf49bfb4d7c7deed40c2fd0ee30b">More...</a><br/></td></tr>
<tr class="separator:ada1caf49bfb4d7c7deed40c2fd0ee30b inherit pub_methods_classframework_1_1core_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adcbc2dbcfa873b214e073ddf34454941 inherit pub_methods_classframework_1_1core_1_1_widget"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_widget.html#adcbc2dbcfa873b214e073ddf34454941">isEnabled</a> (void)</td></tr>
<tr class="memdesc:adcbc2dbcfa873b214e073ddf34454941 inherit pub_methods_classframework_1_1core_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Is enabled?  <a href="#adcbc2dbcfa873b214e073ddf34454941">More...</a><br/></td></tr>
<tr class="separator:adcbc2dbcfa873b214e073ddf34454941 inherit pub_methods_classframework_1_1core_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a2c0d3a6932a32e14fe0da2cb5d396c8f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a2c0d3a6932a32e14fe0da2cb5d396c8f">Object</a> (<a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a2c0d3a6932a32e14fe0da2cb5d396c8f inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a2c0d3a6932a32e14fe0da2cb5d396c8f">More...</a><br/></td></tr>
<tr class="separator:a2c0d3a6932a32e14fe0da2cb5d396c8f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">~Object</a> ()</td></tr>
<tr class="memdesc:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac934815b59eb1cf1a47bdb114fa86da0">More...</a><br/></td></tr>
<tr class="separator:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7f53a758a9fceb50c44751854929960 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aa7f53a758a9fceb50c44751854929960">ObjectName</a> (void)</td></tr>
<tr class="memdesc:aa7f53a758a9fceb50c44751854929960 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#aa7f53a758a9fceb50c44751854929960">More...</a><br/></td></tr>
<tr class="separator:aa7f53a758a9fceb50c44751854929960 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2374065f2e4c5fbf8878e6a29fbf16b7 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a2374065f2e4c5fbf8878e6a29fbf16b7">ObjectType</a> (void)</td></tr>
<tr class="memdesc:a2374065f2e4c5fbf8878e6a29fbf16b7 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a2374065f2e4c5fbf8878e6a29fbf16b7">More...</a><br/></td></tr>
<tr class="separator:a2374065f2e4c5fbf8878e6a29fbf16b7 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c95035e30ff6514f1b419fb85448a8c inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a5c95035e30ff6514f1b419fb85448a8c">Parent</a> (void)</td></tr>
<tr class="memdesc:a5c95035e30ff6514f1b419fb85448a8c inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a5c95035e30ff6514f1b419fb85448a8c">More...</a><br/></td></tr>
<tr class="separator:a5c95035e30ff6514f1b419fb85448a8c inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0b037da8cdd7c40b211888442dacd3d inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ac0b037da8cdd7c40b211888442dacd3d">TypeChilds</a> (void)</td></tr>
<tr class="memdesc:ac0b037da8cdd7c40b211888442dacd3d inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#ac0b037da8cdd7c40b211888442dacd3d">More...</a><br/></td></tr>
<tr class="separator:ac0b037da8cdd7c40b211888442dacd3d inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7d6e338d564ee997523131d3e53efb6 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ad7d6e338d564ee997523131d3e53efb6">Childs</a> (void)</td></tr>
<tr class="memdesc:ad7d6e338d564ee997523131d3e53efb6 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#ad7d6e338d564ee997523131d3e53efb6">More...</a><br/></td></tr>
<tr class="separator:ad7d6e338d564ee997523131d3e53efb6 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a83ff865df29be24a15e50d7382876e inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a8a83ff865df29be24a15e50d7382876e">Warning</a> (const char *function, const char *format,...)</td></tr>
<tr class="memdesc:a8a83ff865df29be24a15e50d7382876e inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#a8a83ff865df29be24a15e50d7382876e">More...</a><br/></td></tr>
<tr class="separator:a8a83ff865df29be24a15e50d7382876e inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a777476dd40eaf5ca7733c2e1aaeb90dd inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a777476dd40eaf5ca7733c2e1aaeb90dd">Error</a> (const char *function, const char *format,...)</td></tr>
<tr class="memdesc:a777476dd40eaf5ca7733c2e1aaeb90dd inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a777476dd40eaf5ca7733c2e1aaeb90dd">More...</a><br/></td></tr>
<tr class="separator:a777476dd40eaf5ca7733c2e1aaeb90dd inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa57e9e38dcc7f0388071eb54c2b30be4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aa57e9e38dcc7f0388071eb54c2b30be4">ErrorOccured</a> (bool recursive=true)</td></tr>
<tr class="memdesc:aa57e9e38dcc7f0388071eb54c2b30be4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#aa57e9e38dcc7f0388071eb54c2b30be4">More...</a><br/></td></tr>
<tr class="separator:aa57e9e38dcc7f0388071eb54c2b30be4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a4230c27f62f4c945e5d00202ce928593"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_data_plot.html#a4230c27f62f4c945e5d00202ce928593">XmlEvent</a> (xmlNode *node)</td></tr>
<tr class="memdesc:a4230c27f62f4c945e5d00202ce928593"><td class="mdescLeft">&#160;</td><td class="mdescRight">XmlEvent from ground station.  <a href="#a4230c27f62f4c945e5d00202ce928593">More...</a><br/></td></tr>
<tr class="separator:a4230c27f62f4c945e5d00202ce928593"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a32aa3fbbf77baadad7f05351e03d22"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_data_plot.html#a9a32aa3fbbf77baadad7f05351e03d22">AddDataToSend</a> (<a class="el" href="classframework_1_1core_1_1cvmatrix.html">cvmatrix</a> *matrix, int row, int col)</td></tr>
<tr class="memdesc:a9a32aa3fbbf77baadad7f05351e03d22"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a cvmatrix element to the plot.  <a href="#a9a32aa3fbbf77baadad7f05351e03d22">More...</a><br/></td></tr>
<tr class="separator:a9a32aa3fbbf77baadad7f05351e03d22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a628f90119c512c4d29c7903aed4d8f36"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_data_plot.html#a628f90119c512c4d29c7903aed4d8f36">AddDataToSend</a> (<a class="el" href="classframework_1_1core_1_1_imu_data.html">ImuData</a> *data, <a class="el" href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8">ImuData::PlotableData_t</a> type, <a class="el" href="classframework_1_1core_1_1_imu_data.html#affb815ea722ccb1a9b2134691218c697">ImuData::Conversion_t</a> conversion)</td></tr>
<tr class="memdesc:a628f90119c512c4d29c7903aed4d8f36"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an <a class="el" href="classframework_1_1core_1_1_imu_data.html" title="Class defining IMU datas. ">ImuData</a> element to the plot.  <a href="#a628f90119c512c4d29c7903aed4d8f36">More...</a><br/></td></tr>
<tr class="separator:a628f90119c512c4d29c7903aed4d8f36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classframework_1_1core_1_1_send_data"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classframework_1_1core_1_1_send_data')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_send_data.html">framework::core::SendData</a></td></tr>
<tr class="memitem:a6fa0afd5bc9399b979dd45423b3e0186 inherit pro_methods_classframework_1_1core_1_1_send_data"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6fa0afd5bc9399b979dd45423b3e0186"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetEnabled</b> (bool value)</td></tr>
<tr class="separator:a6fa0afd5bc9399b979dd45423b3e0186 inherit pro_methods_classframework_1_1core_1_1_send_data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87d34d5e6a02e1a6c956ece0e9d958e1 inherit pro_methods_classframework_1_1core_1_1_send_data"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a87d34d5e6a02e1a6c956ece0e9d958e1"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetSendSize</b> (size_t value)</td></tr>
<tr class="separator:a87d34d5e6a02e1a6c956ece0e9d958e1 inherit pro_methods_classframework_1_1core_1_1_send_data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad49e9f0815834da44c2452089285fd7d inherit pro_methods_classframework_1_1core_1_1_send_data"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad49e9f0815834da44c2452089285fd7d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetSendPeriod</b> (int value)</td></tr>
<tr class="separator:ad49e9f0815834da44c2452089285fd7d inherit pro_methods_classframework_1_1core_1_1_send_data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classframework_1_1core_1_1_widget"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classframework_1_1core_1_1_widget')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_widget.html">framework::core::Widget</a></td></tr>
<tr class="memitem:a1f86603bd32daaa93995c787bbc339ac inherit pro_methods_classframework_1_1core_1_1_widget"><td class="memItemLeft" align="right" valign="top">xmlNodePtr&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_widget.html#a1f86603bd32daaa93995c787bbc339ac">XmlFileNode</a> (void)</td></tr>
<tr class="memdesc:a1f86603bd32daaa93995c787bbc339ac inherit pro_methods_classframework_1_1core_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Xml file node.  <a href="#a1f86603bd32daaa93995c787bbc339ac">More...</a><br/></td></tr>
<tr class="separator:a1f86603bd32daaa93995c787bbc339ac inherit pro_methods_classframework_1_1core_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12b9673b559c5fab03b83b8c53c56be7 inherit pro_methods_classframework_1_1core_1_1_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_widget.html#a12b9673b559c5fab03b83b8c53c56be7">SetXmlProp</a> (std::string prop, std::string value, xmlNodePtr node=NULL)</td></tr>
<tr class="memdesc:a12b9673b559c5fab03b83b8c53c56be7 inherit pro_methods_classframework_1_1core_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set xml property.  <a href="#a12b9673b559c5fab03b83b8c53c56be7">More...</a><br/></td></tr>
<tr class="separator:a12b9673b559c5fab03b83b8c53c56be7 inherit pro_methods_classframework_1_1core_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57285110293bb4c4b49d369ae5008ac7 inherit pro_methods_classframework_1_1core_1_1_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_widget.html#a57285110293bb4c4b49d369ae5008ac7">SetXmlProp</a> (std::string prop, xmlChar *value, xmlNodePtr node=NULL)</td></tr>
<tr class="memdesc:a57285110293bb4c4b49d369ae5008ac7 inherit pro_methods_classframework_1_1core_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set xml property.  <a href="#a57285110293bb4c4b49d369ae5008ac7">More...</a><br/></td></tr>
<tr class="separator:a57285110293bb4c4b49d369ae5008ac7 inherit pro_methods_classframework_1_1core_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5b9680d64193febda2ce8f3bcaef359 inherit pro_methods_classframework_1_1core_1_1_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_widget.html#af5b9680d64193febda2ce8f3bcaef359">SetXmlProp</a> (std::string prop, double value, xmlNodePtr node=NULL)</td></tr>
<tr class="memdesc:af5b9680d64193febda2ce8f3bcaef359 inherit pro_methods_classframework_1_1core_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set xml property.  <a href="#af5b9680d64193febda2ce8f3bcaef359">More...</a><br/></td></tr>
<tr class="separator:af5b9680d64193febda2ce8f3bcaef359 inherit pro_methods_classframework_1_1core_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4455e21008c653be1dbb17d28b3f90c inherit pro_methods_classframework_1_1core_1_1_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_widget.html#ab4455e21008c653be1dbb17d28b3f90c">SetXmlProp</a> (std::string prop, <a class="el" href="classframework_1_1core_1_1io__data.html#a9733182e38c4616f82c08145621d8739">io_data::DataType_t</a> value, xmlNodePtr node=NULL)</td></tr>
<tr class="memdesc:ab4455e21008c653be1dbb17d28b3f90c inherit pro_methods_classframework_1_1core_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set xml property.  <a href="#ab4455e21008c653be1dbb17d28b3f90c">More...</a><br/></td></tr>
<tr class="separator:ab4455e21008c653be1dbb17d28b3f90c inherit pro_methods_classframework_1_1core_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0fc33ff224c830a3cc87917277466313 inherit pro_methods_classframework_1_1core_1_1_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_widget.html#a0fc33ff224c830a3cc87917277466313">ClearXmlProps</a> (void)</td></tr>
<tr class="memdesc:a0fc33ff224c830a3cc87917277466313 inherit pro_methods_classframework_1_1core_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear all xml properties.  <a href="#a0fc33ff224c830a3cc87917277466313">More...</a><br/></td></tr>
<tr class="separator:a0fc33ff224c830a3cc87917277466313 inherit pro_methods_classframework_1_1core_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0d4a1076571069fa03ed2cf83dab797 inherit pro_methods_classframework_1_1core_1_1_widget"><td class="memItemLeft" align="right" valign="top">xmlNodePtr&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_widget.html#ab0d4a1076571069fa03ed2cf83dab797">AddXmlChild</a> (std::string type)</td></tr>
<tr class="memdesc:ab0d4a1076571069fa03ed2cf83dab797 inherit pro_methods_classframework_1_1core_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an xml child.  <a href="#ab0d4a1076571069fa03ed2cf83dab797">More...</a><br/></td></tr>
<tr class="separator:ab0d4a1076571069fa03ed2cf83dab797 inherit pro_methods_classframework_1_1core_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa32e3b844c6de42bbd6e8b480b71f90b inherit pro_methods_classframework_1_1core_1_1_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_widget.html#aa32e3b844c6de42bbd6e8b480b71f90b">SendXml</a> (void)</td></tr>
<tr class="memdesc:aa32e3b844c6de42bbd6e8b480b71f90b inherit pro_methods_classframework_1_1core_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send xml.  <a href="#aa32e3b844c6de42bbd6e8b480b71f90b">More...</a><br/></td></tr>
<tr class="separator:aa32e3b844c6de42bbd6e8b480b71f90b inherit pro_methods_classframework_1_1core_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Abstract class to display plots on ground station. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a162d6799d9cb8b04fa78dc191270c1b7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::core::DataPlot::DataPlot </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classframework_1_1core_1_1_layout_item.html">LayoutItem</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>type</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Type must agree with predifined (hard coded) types in ground station code.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">parent</td><td>parent </td></tr>
    <tr><td class="paramname">name</td><td>nom </td></tr>
    <tr><td class="paramname">type</td><td>type </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a26d8945fee6927c4d1fbc62ad1a029b9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::core::DataPlot::~DataPlot </td>
          <td>(</td>
          <td class="paramname">)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a4230c27f62f4c945e5d00202ce928593"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void framework::core::DataPlot::XmlEvent </td>
          <td>(</td>
          <td class="paramtype">xmlNode *&#160;</td>
          <td class="paramname"><em>node</em>)</td><td></td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>XmlEvent from ground station. </p>
<p>Reimplemented from <a class="el" href="classframework_1_1core_1_1_widget.html" title="Abstract class for all Framework&#39;s widget classes. ">Widget</a>.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">node</td><td>input node </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classframework_1_1core_1_1_widget.html#a914491ccf9073b96920aec5da0e851a1">framework::core::Widget</a>.</p>

</div>
</div>
<a class="anchor" id="a9a32aa3fbbf77baadad7f05351e03d22"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void framework::core::DataPlot::AddDataToSend </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classframework_1_1core_1_1cvmatrix.html">cvmatrix</a> *&#160;</td>
          <td class="paramname"><em>matrix</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>col</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Add a cvmatrix element to the plot. </p>
<p>This function registers the cvamtrix element for sending.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">matrix</td><td>matrix to plot </td></tr>
    <tr><td class="paramname">row</td><td>row of the matrix </td></tr>
    <tr><td class="paramname">col</td><td>column of the matrix </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a628f90119c512c4d29c7903aed4d8f36"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void framework::core::DataPlot::AddDataToSend </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classframework_1_1core_1_1_imu_data.html">ImuData</a> *&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8">ImuData::PlotableData_t</a>&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classframework_1_1core_1_1_imu_data.html#affb815ea722ccb1a9b2134691218c697">ImuData::Conversion_t</a>&#160;</td>
          <td class="paramname"><em>conversion</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Add an <a class="el" href="classframework_1_1core_1_1_imu_data.html" title="Class defining IMU datas. ">ImuData</a> element to the plot. </p>
<p>This function registers the <a class="el" href="classframework_1_1core_1_1_imu_data.html" title="Class defining IMU datas. ">ImuData</a> element for sending.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">data</td><td><a class="el" href="classframework_1_1core_1_1_imu_data.html" title="Class defining IMU datas. ">ImuData</a> to plot </td></tr>
    <tr><td class="paramname">type</td><td>element to plot </td></tr>
    <tr><td class="paramname">conversion</td><td>convert value if needed </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1core.html">core</a></li><li class="navelem"><a class="el" href="classframework_1_1core_1_1_data_plot.html">DataPlot</a></li>
    <li class="footer">Generated on Mon Mar 24 2014 21:51:13 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.4 </li>
  </ul>
</div>
</body>
</html>
